sim.intervention {nem} | R Documentation

## Simulate interventions in a Nested Effects Model

### Description

Simulates a knock-down of a list of network nodes and returns the network nodes and effect reporters, where effects are expected.

### Usage

    sim.intervention(x, int)

### Arguments

`x` | nem object
`int` | a character vector of nodes in the network

### Value

list with two slots:

`Sgenes.effected` | effected network nodes
`Egenes.effected` | effected downstream effect reporters

### Author(s)

Holger Froehlich

### Examples

       data("BoutrosRNAi2002")
       D <- BoutrosRNAiDiscrete[,9:16]
       res = nem(D, control=set.default.parameters(unique(colnames(D)), para=c(0.13,0.05)))
       sim.intervention(res, "rel") # simulate knock-down of rel

[Package nem version 2.8.0 Index]